org.springframework.beans

## Interface Mergeable

- All Known Implementing Classes:
    ManagedArray, ManagedList, ManagedMap, ManagedProperties, ManagedSet, MockHttpServletRequestBuilder, MockMultipartHttpServletRequestBuilder

      public interface Mergeable

  Interface representing an object whose value set can be merged with that of a parent object.
  Since:
    2.0
  Author:
    Rob Harrop
  See Also:
    `ManagedSet`, `ManagedList`, `ManagedMap`, `ManagedProperties`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMergeEnabled()` Is merging enabled for this particular instance?
    `Object` | `merge(Object parent)` Merge the current value set with that of the supplied object.

- - ### Method Detail

    - #### isMergeEnabled

          boolean isMergeEnabled()

      Is merging enabled for this particular instance?

    - #### merge

          Object merge(Object parent)

      Merge the current value set with that of the supplied object.

      The supplied object is considered the parent, and values in the callee's value set must override those of the supplied object.

      Parameters:
        `parent` - the object to merge with
      Returns:
        the result of the merge operation
      Throws:
        `IllegalArgumentException` - if the supplied parent is `null`
        `IllegalStateException` - if merging is not enabled for this instance (i.e. `mergeEnabled` equals `false`).